image:
  repository: requarks/wiki
  tag: 2.5.300

service:
  type: ClusterIP
  port: 3000

ingress:
  enabled: true
  className: traefik
  annotations:
    traefik.ingress.kubernetes.io/router.entrypoints: websecure
    traefik.ingress.kubernetes.io/router.tls: "true"
  hosts:
    - host: wiki.dvirlabs.com
      paths:
        - path: /
          pathType: Prefix
  tls:
    - secretName: wikijs-tls
      hosts:
        - wiki.dvirlabs.com

postgresql:
  enabled: true
  postgresqlUser: wikijs
  postgresqlPassword: wikijs123
  postgresqlDatabase: wiki
  image:
    registry: docker.io
    repository: bitnamilegacy/postgresql
    tag: 11.22.0
  persistence:
    enabled: true
    size: 30Gi
    storageClass: nfs-client
    accessMode: ReadWriteOnce

authentication:
  oauth2:
    enabled: true
    clientId: wikijs
    clientSecret: ccBWA0WqVjWJSRglp7f2EFRcFHIYYkTX
    authorizationEndpoint: https://keycloak.dvirlabs.com/realms/lab/protocol/openid-connect/auth
    tokenEndpoint: https://keycloak.dvirlabs.com/realms/lab/protocol/openid-connect/token
    userInfoEndpoint: https://keycloak.dvirlabs.com/realms/lab/protocol/openid-connect/userinfo
    logoutEndpoint: https://keycloak.dvirlabs.com/realms/lab/protocol/openid-connect/logout
    scope: openid profile email
    prompt: auto
    domainWhitelist:
      - dvirlabs.com
    allowSelfRegistration: true

nodeSelector:
  workload: general
